#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_gem_ttm_print_info, "", "");
KSYMTAB_FUNC(drm_gem_ttm_vmap, "", "");
KSYMTAB_FUNC(drm_gem_ttm_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_ttm_mmap, "", "");
KSYMTAB_FUNC(drm_gem_ttm_dumb_map_offset, "", "");
KSYMTAB_FUNC(drm_fbdev_ttm_driver_fbdev_probe, "", "");
KSYMTAB_FUNC(drm_fbdev_ttm_setup, "", "");

SYMBOL_CRC(drm_gem_ttm_print_info, 0x7a2bb16c, "");
SYMBOL_CRC(drm_gem_ttm_vmap, 0x6881010f, "");
SYMBOL_CRC(drm_gem_ttm_vunmap, 0xe501a1bf, "");
SYMBOL_CRC(drm_gem_ttm_mmap, 0xee1e3e23, "");
SYMBOL_CRC(drm_gem_ttm_dumb_map_offset, 0xc078bea6, "");
SYMBOL_CRC(drm_fbdev_ttm_driver_fbdev_probe, 0xc418a667, "");
SYMBOL_CRC(drm_fbdev_ttm_setup, 0x4c6006d1, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9d1ec97d, "drm_fb_helper_fini" },
	{ 0x1872764c, "drm_client_framebuffer_delete" },
	{ 0x357ff335, "drm_client_framebuffer_create" },
	{ 0x4baad2ab, "drm_fb_helper_deferred_io" },
	{ 0xf93a2fc4, "drm_fb_helper_release_info" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6aa25a6d, "drm_driver_legacy_fb_format" },
	{ 0x806b9ef6, "drm_fb_helper_fill_info" },
	{ 0x13987977, "fb_deferred_io_init" },
	{ 0xba394eb6, "fb_deferred_io_cleanup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x61911524, "dev_driver_string" },
	{ 0x6bd234e1, "drm_fb_helper_hotplug_event" },
	{ 0xb7debd70, "drm_gem_object_lookup" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xae01ba9, "fb_sys_write" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0xd59c8cfd, "sys_imageblit" },
	{ 0x6acea26e, "drm_fb_helper_damage_range" },
	{ 0xf2bb8525, "drm_fb_helper_blank" },
	{ 0x9376d305, "drm_fb_helper_check_var" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa7eefa53, "drm_fb_helper_damage_area" },
	{ 0xf6066892, "sys_fillrect" },
	{ 0x968b9681, "module_put" },
	{ 0xa8fca6bf, "ttm_bo_vunmap" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xe59be844, "drm_client_init" },
	{ 0x1a01342e, "drm_print_bits" },
	{ 0x2de2f06, "drm_fb_helper_prepare" },
	{ 0xf7196435, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xa81af093, "__drm_dev_dbg" },
	{ 0x54baa875, "fb_deferred_io_mmap" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe56fd52a, "drm_fb_helper_pan_display" },
	{ 0xe633a4cd, "drm_format_info_bpp" },
	{ 0x9944c43d, "drm_client_release" },
	{ 0x4011542e, "sys_copyarea" },
	{ 0xbc0d826d, "drm_printf" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x92ff9e6c, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4e7b07fe, "fb_sys_read" },
	{ 0xf6e59cc, "drm_fb_helper_debug_leave" },
	{ 0x1f743309, "ttm_bo_mmap_obj" },
	{ 0x338735a7, "drm_client_buffer_vunmap_local" },
	{ 0xefe99b70, "ttm_bo_vmap" },
	{ 0xa41dec91, "drm_client_buffer_vmap_local" },
	{ 0xdc3631d4, "drm_fb_helper_initial_config" },
	{ 0xf05e52b, "drm_fb_helper_unregister_info" },
	{ 0xcb55e448, "kmalloc_caches" },
	{ 0x194dcf15, "drm_fb_helper_ioctl" },
	{ 0x170f0e80, "drm_fb_helper_set_par" },
	{ 0xe72c38c8, "drm_client_register" },
	{ 0xc5aaf695, "try_module_get" },
	{ 0x7c199bd2, "drm_fb_helper_init" },
	{ 0x52237447, "drm_fb_helper_debug_enter" },
	{ 0xffd5bd79, "drm_fb_helper_lastclose" },
	{ 0xf1829856, "drm_fb_helper_setcmap" },
	{ 0x3cb0b044, "drm_fb_helper_alloc_info" },
	{ 0xe0f5b072, "drm_helper_disable_unused_functions" },
	{ 0xa87eba69, "drm_fb_helper_unprepare" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "ttm");


MODULE_INFO(srcversion, "27A46B00689AB667B550249");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
